<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivityActivityAreaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_activity_areas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_activity_area.view',
                'name'      => 'View ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.create',
                'name'      => 'Create ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.edit',
                'name'      => 'Update ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.delete',
                'name'      => 'Delete ActivityActivityArea',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_activity_area.verify',
                'name'      => 'Verify ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.approve',
                'name'      => 'Approve ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.publish',
                'name'      => 'Publish ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.unpublish',
                'name'      => 'Unpublish ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.cancel',
                'name'      => 'Cancel ActivityActivityArea',
            ],
            [
                'slug'      => 'acts.activity_activity_area.archive',
                'name'      => 'Archive ActivityActivityArea',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_activity_area',
                'name'        => 'ActivityActivityArea',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_activity_area',
                'name'        => 'ActivityActivityArea',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_activity_area',
                'name'        => 'ActivityActivityArea',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivityActivityArea',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_activity_area.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
