<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivityCommunityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_communities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_community.view',
                'name'      => 'View ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.create',
                'name'      => 'Create ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.edit',
                'name'      => 'Update ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.delete',
                'name'      => 'Delete ActivityCommunity',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_community.verify',
                'name'      => 'Verify ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.approve',
                'name'      => 'Approve ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.publish',
                'name'      => 'Publish ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.unpublish',
                'name'      => 'Unpublish ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.cancel',
                'name'      => 'Cancel ActivityCommunity',
            ],
            [
                'slug'      => 'acts.activity_community.archive',
                'name'      => 'Archive ActivityCommunity',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_community',
                'name'        => 'ActivityCommunity',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_community',
                'name'        => 'ActivityCommunity',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_community',
                'name'        => 'ActivityCommunity',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivityCommunity',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_community.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
