<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivityLogTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_logs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_log.view',
                'name'      => 'View ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.create',
                'name'      => 'Create ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.edit',
                'name'      => 'Update ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.delete',
                'name'      => 'Delete ActivityLog',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_log.verify',
                'name'      => 'Verify ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.approve',
                'name'      => 'Approve ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.publish',
                'name'      => 'Publish ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.unpublish',
                'name'      => 'Unpublish ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.cancel',
                'name'      => 'Cancel ActivityLog',
            ],
            [
                'slug'      => 'acts.activity_log.archive',
                'name'      => 'Archive ActivityLog',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivityLog',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_log.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
