<?php

namespace Annie\Act;

use DB;
use Illuminate\Database\Seeder;

class ActivityManagerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_managers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'act.activity_manager.view',
                'name'      => 'View ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.create',
                'name'      => 'Create ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.edit',
                'name'      => 'Update ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.delete',
                'name'      => 'Delete ActivityManager',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'act.activity_manager.verify',
                'name'      => 'Verify ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.approve',
                'name'      => 'Approve ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.publish',
                'name'      => 'Publish ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.unpublish',
                'name'      => 'Unpublish ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.cancel',
                'name'      => 'Cancel ActivityManager',
            ],
            [
                'slug'      => 'act.activity_manager.archive',
                'name'      => 'Archive ActivityManager',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/act/activity_manager',
                'name'        => 'ActivityManager',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/act/activity_manager',
                'name'        => 'ActivityManager',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_manager',
                'name'        => 'ActivityManager',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Act',
                'module'    => 'ActivityManager',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'act.activity_manager.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
