<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivityProgrammeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_programmes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_programme.view',
                'name'      => 'View ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.create',
                'name'      => 'Create ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.edit',
                'name'      => 'Update ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.delete',
                'name'      => 'Delete ActivityProgramme',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_programme.verify',
                'name'      => 'Verify ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.approve',
                'name'      => 'Approve ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.publish',
                'name'      => 'Publish ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.unpublish',
                'name'      => 'Unpublish ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.cancel',
                'name'      => 'Cancel ActivityProgramme',
            ],
            [
                'slug'      => 'acts.activity_programme.archive',
                'name'      => 'Archive ActivityProgramme',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_programme',
                'name'        => 'ActivityProgramme',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_programme',
                'name'        => 'ActivityProgramme',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_programme',
                'name'        => 'ActivityProgramme',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivityProgramme',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_programme.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
