<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivityProjectTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_projects')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_project.view',
                'name'      => 'View ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.create',
                'name'      => 'Create ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.edit',
                'name'      => 'Update ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.delete',
                'name'      => 'Delete ActivityProject',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_project.verify',
                'name'      => 'Verify ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.approve',
                'name'      => 'Approve ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.publish',
                'name'      => 'Publish ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.unpublish',
                'name'      => 'Unpublish ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.cancel',
                'name'      => 'Cancel ActivityProject',
            ],
            [
                'slug'      => 'acts.activity_project.archive',
                'name'      => 'Archive ActivityProject',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_project',
                'name'        => 'ActivityProject',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_project',
                'name'        => 'ActivityProject',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_project',
                'name'        => 'ActivityProject',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivityProject',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_project.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
