<?php

namespace Annie\Acts;

use DB;
use Illuminate\Database\Seeder;

class ActivitySchoolTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_schools')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'acts.activity_school.view',
                'name'      => 'View ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.create',
                'name'      => 'Create ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.edit',
                'name'      => 'Update ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.delete',
                'name'      => 'Delete ActivitySchool',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'acts.activity_school.verify',
                'name'      => 'Verify ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.approve',
                'name'      => 'Approve ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.publish',
                'name'      => 'Publish ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.unpublish',
                'name'      => 'Unpublish ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.cancel',
                'name'      => 'Cancel ActivitySchool',
            ],
            [
                'slug'      => 'acts.activity_school.archive',
                'name'      => 'Archive ActivitySchool',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/acts/activity_school',
                'name'        => 'ActivitySchool',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/acts/activity_school',
                'name'        => 'ActivitySchool',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_school',
                'name'        => 'ActivitySchool',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Acts',
                'module'    => 'ActivitySchool',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'acts.activity_school.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
