<?php

namespace Annie\Act;

use DB;
use Illuminate\Database\Seeder;

class ActivitySocialPartnerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_social_partners')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'act.activity_social_partner.view',
                'name'      => 'View ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.create',
                'name'      => 'Create ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.edit',
                'name'      => 'Update ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.delete',
                'name'      => 'Delete ActivitySocialPartner',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'act.activity_social_partner.verify',
                'name'      => 'Verify ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.approve',
                'name'      => 'Approve ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.publish',
                'name'      => 'Publish ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.unpublish',
                'name'      => 'Unpublish ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.cancel',
                'name'      => 'Cancel ActivitySocialPartner',
            ],
            [
                'slug'      => 'act.activity_social_partner.archive',
                'name'      => 'Archive ActivitySocialPartner',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/act/activity_social_partner',
                'name'        => 'ActivitySocialPartner',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/act/activity_social_partner',
                'name'        => 'ActivitySocialPartner',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_social_partner',
                'name'        => 'ActivitySocialPartner',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Act',
                'module'    => 'ActivitySocialPartner',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'act.activity_social_partner.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
