<?php

namespace Annie\Act;

use DB;
use Illuminate\Database\Seeder;

class ActivityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'act.activity.view',
                'name'      => 'View Activity',
            ],
            [
                'slug'      => 'act.activity.create',
                'name'      => 'Create Activity',
            ],
            [
                'slug'      => 'act.activity.edit',
                'name'      => 'Update Activity',
            ],
            [
                'slug'      => 'act.activity.delete',
                'name'      => 'Delete Activity',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'act.activity.verify',
                'name'      => 'Verify Activity',
            ],
            [
                'slug'      => 'act.activity.approve',
                'name'      => 'Approve Activity',
            ],
            [
                'slug'      => 'act.activity.publish',
                'name'      => 'Publish Activity',
            ],
            [
                'slug'      => 'act.activity.unpublish',
                'name'      => 'Unpublish Activity',
            ],
            [
                'slug'      => 'act.activity.cancel',
                'name'      => 'Cancel Activity',
            ],
            [
                'slug'      => 'act.activity.archive',
                'name'      => 'Archive Activity',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/act/activity',
                'name'        => 'Activity',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/act/activity',
                'name'        => 'Activity',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity',
                'name'        => 'Activity',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Act',
                'module'    => 'Activity',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'act.activity.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
