<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('acts::activity.name') !!} <small> {!! trans('app.manage') !!} {!! trans('acts::activity.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('acts::activity.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='acts-activity-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('acts/activity')!!}">{!! trans('acts::activity.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('acts/activity?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('acts/activity?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('acts/activity/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('acts::admin.activity.partial.actions')
                    -->
                    @include('acts::admin.activity.partial.filter')
                    @include('acts::admin.activity.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="acts-activity-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="acts-activity-check-all"></th>
                        <th data-field="title">{!! trans('acts::activity.label.title')!!}</th>
                    <th data-field="activity_date">{!! trans('acts::activity.label.activity_date')!!}</th>
                    <th data-field="state_id">{!! trans('acts::activity.label.state_id')!!}</th>
                    <th data-field="city_id">{!! trans('acts::activity.label.city_id')!!}</th>
                    <th data-field="block_zone_id">{!! trans('acts::activity.label.block_zone_id')!!}</th>
                    <th data-field="village_id">{!! trans('acts::activity.label.village_id')!!}</th>
                    <th data-field="images">{!! trans('acts::activity.label.images')!!}</th>
                    <th data-field="videos">{!! trans('acts::activity.label.videos')!!}</th>
                    <th data-field="hashtags">{!! trans('acts::activity.label.hashtags')!!}</th>
                    <th data-field="deteled_at">{!! trans('acts::activity.label.deteled_at')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#acts-activity-entry', '{!!guard_url('acts/activity/0')!!}');
    oTable = $('#acts-activity-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('acts/activity') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'title'},
            {data :'activity_date'},
            {data :'state_id'},
            {data :'city_id'},
            {data :'block_zone_id'},
            {data :'village_id'},
            {data :'images'},
            {data :'videos'},
            {data :'hashtags'},
            {data :'deteled_at'},
        ],
        "pageLength": 25
    });

    $('#acts-activity-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#acts-activity-list').DataTable().row( this ).data();
        $('#acts-activity-entry').load('{!!guard_url('acts/activity')!!}' + '/' + d.id);
    });

    $('#acts-activity-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#acts-activity-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#acts-activity-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#acts-activity-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>