<?php

namespace Annie\Acts\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Acts\Interfaces\ActivityAreaRepositoryInterface;

class ActivityAreaPublicController extends BaseController
{
    // use ActivityAreaWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivityArea\Interfaces\ActivityAreaRepositoryInterface $activity_area
     *
     * @return type
     */
    public function __construct(ActivityAreaRepositoryInterface $activity_area)
    {
        $this->repository = $activity_area;
        parent::__construct();
    }

    /**
     * Show activity_area's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_areas = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$acts::activity_area.names'))
            ->view('acts::activity_area.index')
            ->data(compact('activity_areas'))
            ->output();
    }


    /**
     * Show activity_area.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_area = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_area->name . trans('acts::activity_area.name'))
            ->view('acts::activity_area.show')
            ->data(compact('activity_area'))
            ->output();
    }

}
