<?php

namespace Annie\Act\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Act\Interfaces\ActivityCommunityRepositoryInterface;

class ActivityCommunityPublicController extends BaseController
{
    // use ActivityCommunityWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivityCommunity\Interfaces\ActivityCommunityRepositoryInterface $activity_community
     *
     * @return type
     */
    public function __construct(ActivityCommunityRepositoryInterface $activity_community)
    {
        $this->repository = $activity_community;
        parent::__construct();
    }

    /**
     * Show activity_community's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_communities = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$act::activity_community.names'))
            ->view('act::activity_community.index')
            ->data(compact('activity_communities'))
            ->output();
    }


    /**
     * Show activity_community.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_community = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_community->name . trans('act::activity_community.name'))
            ->view('act::activity_community.show')
            ->data(compact('activity_community'))
            ->output();
    }

}
