<?php

namespace Annie\Acts\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Acts\Interfaces\ActivityLogRepositoryInterface;

class ActivityLogPublicController extends BaseController
{
    // use ActivityLogWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivityLog\Interfaces\ActivityLogRepositoryInterface $activity_log
     *
     * @return type
     */
    public function __construct(ActivityLogRepositoryInterface $activity_log)
    {
        $this->repository = $activity_log;
        parent::__construct();
    }

    /**
     * Show activity_log's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_logs = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$acts::activity_log.names'))
            ->view('acts::activity_log.index')
            ->data(compact('activity_logs'))
            ->output();
    }


    /**
     * Show activity_log.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_log = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_log->name . trans('acts::activity_log.name'))
            ->view('acts::activity_log.show')
            ->data(compact('activity_log'))
            ->output();
    }

}
