<?php

namespace Annie\Acts\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Acts\Interfaces\ActivityManagerRepositoryInterface;

class ActivityManagerPublicController extends BaseController
{
    // use ActivityManagerWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivityManager\Interfaces\ActivityManagerRepositoryInterface $activity_manager
     *
     * @return type
     */
    public function __construct(ActivityManagerRepositoryInterface $activity_manager)
    {
        $this->repository = $activity_manager;
        parent::__construct();
    }

    /**
     * Show activity_manager's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_managers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$acts::activity_manager.names'))
            ->view('acts::activity_manager.index')
            ->data(compact('activity_managers'))
            ->output();
    }


    /**
     * Show activity_manager.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_manager = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_manager->name . trans('acts::activity_manager.name'))
            ->view('acts::activity_manager.show')
            ->data(compact('activity_manager'))
            ->output();
    }

}
