<?php

namespace Annie\Act\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Act\Interfaces\ActivityProgrammeRepositoryInterface;

class ActivityProgrammePublicController extends BaseController
{
    // use ActivityProgrammeWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivityProgramme\Interfaces\ActivityProgrammeRepositoryInterface $activity_programme
     *
     * @return type
     */
    public function __construct(ActivityProgrammeRepositoryInterface $activity_programme)
    {
        $this->repository = $activity_programme;
        parent::__construct();
    }

    /**
     * Show activity_programme's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_programmes = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$act::activity_programme.names'))
            ->view('act::activity_programme.index')
            ->data(compact('activity_programmes'))
            ->output();
    }


    /**
     * Show activity_programme.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_programme = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_programme->name . trans('act::activity_programme.name'))
            ->view('act::activity_programme.show')
            ->data(compact('activity_programme'))
            ->output();
    }

}
