<?php

namespace Annie\Acts\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Annie\Acts\Interfaces\ActivitySocialPartnerRepositoryInterface;

class ActivitySocialPartnerPublicController extends BaseController
{
    // use ActivitySocialPartnerWorkflow;

    /**
     * Constructor.
     *
     * @param type \Annie\ActivitySocialPartner\Interfaces\ActivitySocialPartnerRepositoryInterface $activity_social_partner
     *
     * @return type
     */
    public function __construct(ActivitySocialPartnerRepositoryInterface $activity_social_partner)
    {
        $this->repository = $activity_social_partner;
        parent::__construct();
    }

    /**
     * Show activity_social_partner's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $activity_social_partners = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$acts::activity_social_partner.names'))
            ->view('acts::activity_social_partner.index')
            ->data(compact('activity_social_partners'))
            ->output();
    }


    /**
     * Show activity_social_partner.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $activity_social_partner = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$activity_social_partner->name . trans('acts::activity_social_partner.name'))
            ->view('acts::activity_social_partner.show')
            ->data(compact('activity_social_partner'))
            ->output();
    }

}
