<?php

namespace Annie\Act\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Activity policy
        'Annie\Act\Models\Activity' => \Annie\Act\Policies\ActivityPolicy::class,// Bind ActivityActivityArea policy
        'Annie\Act\Models\ActivityActivityArea' => \Annie\Act\Policies\ActivityActivityAreaPolicy::class,// Bind ActivityArea policy
        'Annie\Act\Models\ActivityArea' => \Annie\Act\Policies\ActivityAreaPolicy::class,// Bind ActivityCollege policy
        'Annie\Act\Models\ActivityCollege' => \Annie\Act\Policies\ActivityCollegePolicy::class,// Bind ActivityCommunity policy
        'Annie\Act\Models\ActivityCommunity' => \Annie\Act\Policies\ActivityCommunityPolicy::class,// Bind ActivityManager policy
        'Annie\Act\Models\ActivityManager' => \Annie\Act\Policies\ActivityManagerPolicy::class,// Bind ActivityMetum policy
        'Annie\Act\Models\ActivityMetum' => \Annie\Act\Policies\ActivityMetumPolicy::class,// Bind ActivityProgramme policy
        'Annie\Act\Models\ActivityProgramme' => \Annie\Act\Policies\ActivityProgrammePolicy::class,// Bind ActivityProject policy
        'Annie\Act\Models\ActivityProject' => \Annie\Act\Policies\ActivityProjectPolicy::class,// Bind ActivitySchool policy
        'Annie\Act\Models\ActivitySchool' => \Annie\Act\Policies\ActivitySchoolPolicy::class,// Bind ActivitySocialPartner policy
        'Annie\Act\Models\ActivitySocialPartner' => \Annie\Act\Policies\ActivitySocialPartnerPolicy::class,// Bind ActivityWorkArea policy
        'Annie\Act\Models\ActivityWorkArea' => \Annie\Act\Policies\ActivityWorkAreaPolicy::class,// Bind ActivityLog policy
        'Annie\Act\Models\ActivityLog' => \Annie\Act\Policies\ActivityLogPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
