<?php

namespace Annie\Act\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Activity workflow validator
        'Annie\Act\Models\Activity' => \Annie\Act\Workflow\ActivityValidator::class,
        // Bind ActivityActivityArea workflow validator
        'Annie\Act\Models\ActivityActivityArea' => \Annie\Act\Workflow\ActivityActivityAreaValidator::class,
        // Bind ActivityArea workflow validator
        'Annie\Act\Models\ActivityArea' => \Annie\Act\Workflow\ActivityAreaValidator::class,
        // Bind ActivityCollege workflow validator
        'Annie\Act\Models\ActivityCollege' => \Annie\Act\Workflow\ActivityCollegeValidator::class,
        // Bind ActivityCommunity workflow validator
        'Annie\Act\Models\ActivityCommunity' => \Annie\Act\Workflow\ActivityCommunityValidator::class,
        // Bind ActivityManager workflow validator
        'Annie\Act\Models\ActivityManager' => \Annie\Act\Workflow\ActivityManagerValidator::class,
        // Bind ActivityMetum workflow validator
        'Annie\Act\Models\ActivityMetum' => \Annie\Act\Workflow\ActivityMetumValidator::class,
        // Bind ActivityProgramme workflow validator
        'Annie\Act\Models\ActivityProgramme' => \Annie\Act\Workflow\ActivityProgrammeValidator::class,
        // Bind ActivityProject workflow validator
        'Annie\Act\Models\ActivityProject' => \Annie\Act\Workflow\ActivityProjectValidator::class,
        // Bind ActivitySchool workflow validator
        'Annie\Act\Models\ActivitySchool' => \Annie\Act\Workflow\ActivitySchoolValidator::class,
        // Bind ActivitySocialPartner workflow validator
        'Annie\Act\Models\ActivitySocialPartner' => \Annie\Act\Workflow\ActivitySocialPartnerValidator::class,
        // Bind ActivityLog workflow validator
        'Annie\Act\Models\ActivityLog' => \Annie\Act\Workflow\ActivityLogValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Activity workflow actions
        'Annie\Act\Models\Activity' => \Annie\Act\Workflow\ActivityAction::class,
        // Bind ActivityActivityArea workflow actions
        'Annie\Act\Models\ActivityActivityArea' => \Annie\Act\Workflow\ActivityActivityAreaAction::class,
        // Bind ActivityArea workflow actions
        'Annie\Act\Models\ActivityArea' => \Annie\Act\Workflow\ActivityAreaAction::class,
        // Bind ActivityCollege workflow actions
        'Annie\Act\Models\ActivityCollege' => \Annie\Act\Workflow\ActivityCollegeAction::class,
        // Bind ActivityCommunity workflow actions
        'Annie\Act\Models\ActivityCommunity' => \Annie\Act\Workflow\ActivityCommunityAction::class,
        // Bind ActivityManager workflow actions
        'Annie\Act\Models\ActivityManager' => \Annie\Act\Workflow\ActivityManagerAction::class,
        // Bind ActivityMetum workflow actions
        'Annie\Act\Models\ActivityMetum' => \Annie\Act\Workflow\ActivityMetumAction::class,
        // Bind ActivityProgramme workflow actions
        'Annie\Act\Models\ActivityProgramme' => \Annie\Act\Workflow\ActivityProgrammeAction::class,
        // Bind ActivityProject workflow actions
        'Annie\Act\Models\ActivityProject' => \Annie\Act\Workflow\ActivityProjectAction::class,
        // Bind ActivitySchool workflow actions
        'Annie\Act\Models\ActivitySchool' => \Annie\Act\Workflow\ActivitySchoolAction::class,
        // Bind ActivitySocialPartner workflow actions
        'Annie\Act\Models\ActivitySocialPartner' => \Annie\Act\Workflow\ActivitySocialPartnerAction::class,
        // Bind ActivityLog workflow actions
        'Annie\Act\Models\ActivityLog' => \Annie\Act\Workflow\ActivityLogAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Activity workflow notifiers
        'Annie\Act\Models\Activity' => \Annie\Act\Workflow\ActivityNotifier::class,
        // Bind ActivityActivityArea workflow notifiers
        'Annie\Act\Models\ActivityActivityArea' => \Annie\Act\Workflow\ActivityActivityAreaNotifier::class,
        // Bind ActivityArea workflow notifiers
        'Annie\Act\Models\ActivityArea' => \Annie\Act\Workflow\ActivityAreaNotifier::class,
        // Bind ActivityCollege workflow notifiers
        'Annie\Act\Models\ActivityCollege' => \Annie\Act\Workflow\ActivityCollegeNotifier::class,
        // Bind ActivityCommunity workflow notifiers
        'Annie\Act\Models\ActivityCommunity' => \Annie\Act\Workflow\ActivityCommunityNotifier::class,
        // Bind ActivityManager workflow notifiers
        'Annie\Act\Models\ActivityManager' => \Annie\Act\Workflow\ActivityManagerNotifier::class,
        // Bind ActivityMetum workflow notifiers
        'Annie\Act\Models\ActivityMetum' => \Annie\Act\Workflow\ActivityMetumNotifier::class,
        // Bind ActivityProgramme workflow notifiers
        'Annie\Act\Models\ActivityProgramme' => \Annie\Act\Workflow\ActivityProgrammeNotifier::class,
        // Bind ActivityProject workflow notifiers
        'Annie\Act\Models\ActivityProject' => \Annie\Act\Workflow\ActivityProjectNotifier::class,
        // Bind ActivitySchool workflow notifiers
        'Annie\Act\Models\ActivitySchool' => \Annie\Act\Workflow\ActivitySchoolNotifier::class,
        // Bind ActivitySocialPartner workflow notifiers
        'Annie\Act\Models\ActivitySocialPartner' => \Annie\Act\Workflow\ActivitySocialPartnerNotifier::class,
        // Bind ActivityLog workflow notifiers
        'Annie\Act\Models\ActivityLog' => \Annie\Act\Workflow\ActivityLogNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
