<?php

namespace Annie\Acts\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        // Bind Activity workflow validator
        'Annie\Acts\Models\Activity' => \Annie\Acts\Workflow\ActivityValidator::class,

        // Bind ActivityActivityArea workflow validator
        'Annie\Acts\Models\ActivityActivityArea' => \Annie\Acts\Workflow\ActivityActivityAreaValidator::class,

        // Bind ActivityArea workflow validator
        'Annie\Acts\Models\ActivityArea' => \Annie\Acts\Workflow\ActivityAreaValidator::class,

        // Bind ActivityCollege workflow validator
        'Annie\Acts\Models\ActivityCollege' => \Annie\Acts\Workflow\ActivityCollegeValidator::class,

        // Bind ActivityCommunity workflow validator
        'Annie\Acts\Models\ActivityCommunity' => \Annie\Acts\Workflow\ActivityCommunityValidator::class,

        // Bind ActivityManager workflow validator
        'Annie\Acts\Models\ActivityManager' => \Annie\Acts\Workflow\ActivityManagerValidator::class,

        // Bind ActivityMetum workflow validator
        'Annie\Acts\Models\ActivityMetum' => \Annie\Acts\Workflow\ActivityMetumValidator::class,

        // Bind ActivityProgramme workflow validator
        'Annie\Acts\Models\ActivityProgramme' => \Annie\Acts\Workflow\ActivityProgrammeValidator::class,

        // Bind ActivityProject workflow validator
        'Annie\Acts\Models\ActivityProject' => \Annie\Acts\Workflow\ActivityProjectValidator::class,

        // Bind ActivitySchool workflow validator
        'Annie\Acts\Models\ActivitySchool' => \Annie\Acts\Workflow\ActivitySchoolValidator::class,

        // Bind ActivitySocialPartner workflow validator
        'Annie\Acts\Models\ActivitySocialPartner' => \Annie\Acts\Workflow\ActivitySocialPartnerValidator::class,

        // Bind ActivityLog workflow validator
        'Annie\Acts\Models\ActivityLog' => \Annie\Acts\Workflow\ActivityLogValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        // Bind Activity workflow actions
        'Annie\Acts\Models\Activity' => \Annie\Acts\Workflow\ActivityAction::class,

        // Bind ActivityActivityArea workflow actions
        'Annie\Acts\Models\ActivityActivityArea' => \Annie\Acts\Workflow\ActivityActivityAreaAction::class,

        // Bind ActivityArea workflow actions
        'Annie\Acts\Models\ActivityArea' => \Annie\Acts\Workflow\ActivityAreaAction::class,

        // Bind ActivityCollege workflow actions
        'Annie\Acts\Models\ActivityCollege' => \Annie\Acts\Workflow\ActivityCollegeAction::class,

        // Bind ActivityCommunity workflow actions
        'Annie\Acts\Models\ActivityCommunity' => \Annie\Acts\Workflow\ActivityCommunityAction::class,

        // Bind ActivityManager workflow actions
        'Annie\Acts\Models\ActivityManager' => \Annie\Acts\Workflow\ActivityManagerAction::class,

        // Bind ActivityMetum workflow actions
        'Annie\Acts\Models\ActivityMetum' => \Annie\Acts\Workflow\ActivityMetumAction::class,

        // Bind ActivityProgramme workflow actions
        'Annie\Acts\Models\ActivityProgramme' => \Annie\Acts\Workflow\ActivityProgrammeAction::class,

        // Bind ActivityProject workflow actions
        'Annie\Acts\Models\ActivityProject' => \Annie\Acts\Workflow\ActivityProjectAction::class,

        // Bind ActivitySchool workflow actions
        'Annie\Acts\Models\ActivitySchool' => \Annie\Acts\Workflow\ActivitySchoolAction::class,

        // Bind ActivitySocialPartner workflow actions
        'Annie\Acts\Models\ActivitySocialPartner' => \Annie\Acts\Workflow\ActivitySocialPartnerAction::class,

        // Bind ActivityLog workflow actions
        'Annie\Acts\Models\ActivityLog' => \Annie\Acts\Workflow\ActivityLogAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       // Bind Activity workflow notifiers
        'Annie\Acts\Models\Activity' => \Annie\Acts\Workflow\ActivityNotifier::class,

        // Bind ActivityActivityArea workflow notifiers
        'Annie\Acts\Models\ActivityActivityArea' => \Annie\Acts\Workflow\ActivityActivityAreaNotifier::class,

        // Bind ActivityArea workflow notifiers
        'Annie\Acts\Models\ActivityArea' => \Annie\Acts\Workflow\ActivityAreaNotifier::class,

        // Bind ActivityCollege workflow notifiers
        'Annie\Acts\Models\ActivityCollege' => \Annie\Acts\Workflow\ActivityCollegeNotifier::class,

        // Bind ActivityCommunity workflow notifiers
        'Annie\Acts\Models\ActivityCommunity' => \Annie\Acts\Workflow\ActivityCommunityNotifier::class,

        // Bind ActivityManager workflow notifiers
        'Annie\Acts\Models\ActivityManager' => \Annie\Acts\Workflow\ActivityManagerNotifier::class,

        // Bind ActivityMetum workflow notifiers
        'Annie\Acts\Models\ActivityMetum' => \Annie\Acts\Workflow\ActivityMetumNotifier::class,

        // Bind ActivityProgramme workflow notifiers
        'Annie\Acts\Models\ActivityProgramme' => \Annie\Acts\Workflow\ActivityProgrammeNotifier::class,

        // Bind ActivityProject workflow notifiers
        'Annie\Acts\Models\ActivityProject' => \Annie\Acts\Workflow\ActivityProjectNotifier::class,

        // Bind ActivitySchool workflow notifiers
        'Annie\Acts\Models\ActivitySchool' => \Annie\Acts\Workflow\ActivitySchoolNotifier::class,

        // Bind ActivitySocialPartner workflow notifiers
        'Annie\Acts\Models\ActivitySocialPartner' => \Annie\Acts\Workflow\ActivitySocialPartnerNotifier::class,

        // Bind ActivityLog workflow notifiers
        'Annie\Acts\Models\ActivityLog' => \Annie\Acts\Workflow\ActivityLogNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
