<?php

namespace Annie\Acts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityLogTransformer extends TransformerAbstract
{
    public function transform(\Annie\Acts\Models\ActivityLog $activity_log)
    {
        return [
            'id'                => $activity_log->getRouteKey(),
            'key'               => [
                'public'    => $activity_log->getPublicKey(),
                'route'     => $activity_log->getRouteKey(),
            ], 
            'id'                => $activity_log->id,
            'log_name'          => $activity_log->log_name,
            'description'       => $activity_log->description,
            'subject_id'        => $activity_log->subject_id,
            'subject_type'      => $activity_log->subject_type,
            'causer_id'         => $activity_log->causer_id,
            'causer_type'       => $activity_log->causer_type,
            'properties'        => $activity_log->properties,
            'created_at'        => $activity_log->created_at,
            'updated_at'        => $activity_log->updated_at,
            'url'               => [
                'public'    => trans_url('acts/'.$activity_log->getPublicKey()),
                'user'      => guard_url('acts/activity_log/'.$activity_log->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_log->status),
            'created_at'        => format_date($activity_log->created_at),
            'updated_at'        => format_date($activity_log->updated_at),
        ];
    }
}