<?php

namespace Annie\Act\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityManagerTransformer extends TransformerAbstract
{
    public function transform(\Annie\Act\Models\ActivityManager $activity_manager)
    {
        return [
            'id'                => $activity_manager->getRouteKey(),
            'key'               => [
                'public'    => $activity_manager->getPublicKey(),
                'route'     => $activity_manager->getRouteKey(),
            ], 
            'id'                => $activity_manager->id,
            'activity_id'       => $activity_manager->activity_id,
            'profile_id'        => $activity_manager->profile_id,
            'url'               => [
                'public'    => trans_url('act/'.$activity_manager->getPublicKey()),
                'user'      => guard_url('act/activity_manager/'.$activity_manager->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_manager->status),
            'created_at'        => format_date($activity_manager->created_at),
            'updated_at'        => format_date($activity_manager->updated_at),
        ];
    }
}