<?php

namespace Annie\Acts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityMetumTransformer extends TransformerAbstract
{
    public function transform(\Annie\Acts\Models\ActivityMetum $activity_metum)
    {
        return [
            'id'                => $activity_metum->getRouteKey(),
            'key'               => [
                'public'    => $activity_metum->getPublicKey(),
                'route'     => $activity_metum->getRouteKey(),
            ], 
            'id'                => $activity_metum->id,
            'activity_id'       => $activity_metum->activity_id,
            'meta_key'          => $activity_metum->meta_key,
            'meta_value'        => $activity_metum->meta_value,
            'created_at'        => $activity_metum->created_at,
            'updated_at'        => $activity_metum->updated_at,
            'deleted_at'        => $activity_metum->deleted_at,
            'url'               => [
                'public'    => trans_url('acts/'.$activity_metum->getPublicKey()),
                'user'      => guard_url('acts/activity_metum/'.$activity_metum->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_metum->status),
            'created_at'        => format_date($activity_metum->created_at),
            'updated_at'        => format_date($activity_metum->updated_at),
        ];
    }
}