<?php

namespace Annie\Acts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityProgrammeTransformer extends TransformerAbstract
{
    public function transform(\Annie\Acts\Models\ActivityProgramme $activity_programme)
    {
        return [
            'id'                => $activity_programme->getRouteKey(),
            'key'               => [
                'public'    => $activity_programme->getPublicKey(),
                'route'     => $activity_programme->getRouteKey(),
            ], 
            'id'                => $activity_programme->id,
            'activity_id'       => $activity_programme->activity_id,
            'programme_id'      => $activity_programme->programme_id,
            'url'               => [
                'public'    => trans_url('acts/'.$activity_programme->getPublicKey()),
                'user'      => guard_url('acts/activity_programme/'.$activity_programme->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_programme->status),
            'created_at'        => format_date($activity_programme->created_at),
            'updated_at'        => format_date($activity_programme->updated_at),
        ];
    }
}