<?php

namespace Annie\Acts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityProjectTransformer extends TransformerAbstract
{
    public function transform(\Annie\Acts\Models\ActivityProject $activity_project)
    {
        return [
            'id'                => $activity_project->getRouteKey(),
            'key'               => [
                'public'    => $activity_project->getPublicKey(),
                'route'     => $activity_project->getRouteKey(),
            ], 
            'id'                => $activity_project->id,
            'activity_id'       => $activity_project->activity_id,
            'project_id'        => $activity_project->project_id,
            'url'               => [
                'public'    => trans_url('acts/'.$activity_project->getPublicKey()),
                'user'      => guard_url('acts/activity_project/'.$activity_project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity_project->status),
            'created_at'        => format_date($activity_project->created_at),
            'updated_at'        => format_date($activity_project->updated_at),
        ];
    }
}