<?php

namespace Annie\Acts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityTransformer extends TransformerAbstract
{
    public function transform(\Annie\Acts\Models\Activity $activity)
    {
        return [
            'id'                => $activity->getRouteKey(),
            'key'               => [
                'public'    => $activity->getPublicKey(),
                'route'     => $activity->getRouteKey(),
            ], 
            'id'                => $activity->id,
            'user_id'           => $activity->user_id,
            'title'             => $activity->title,
            'slug'              => $activity->slug,
            'description'       => $activity->description,
            'activity_date'     => $activity->activity_date,
            'state_id'          => $activity->state_id,
            'city_id'           => $activity->city_id,
            'block_zone_id'     => $activity->block_zone_id,
            'village_id'        => $activity->village_id,
            'images'            => $activity->images,
            'videos'            => $activity->videos,
            'meta_title'        => $activity->meta_title,
            'meta_keywords'     => $activity->meta_keywords,
            'meta_description'  => $activity->meta_description,
            'hashtags'          => $activity->hashtags,
            'status'            => $activity->status,
            'deteled_at'        => $activity->deteled_at,
            'created_at'        => $activity->created_at,
            'updated_at'        => $activity->updated_at,
            'url'               => [
                'public'    => trans_url('acts/'.$activity->getPublicKey()),
                'user'      => guard_url('acts/activity/'.$activity->getRouteKey()),
            ], 
            'status'            => trans('app.'.$activity->status),
            'created_at'        => format_date($activity->created_at),
            'updated_at'        => format_date($activity->updated_at),
        ];
    }
}