<?php

namespace Annie\Act\Workflow;

use Annie\Act\Models\ActivityActivityArea;
use Annie\Act\Notifications\ActivityActivityAreaWorkflow as ActivityActivityAreaNotifyer;
use Notification;

class ActivityActivityAreaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function complete(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function verify(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function approve(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function publish(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function archive(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityActivityArea $activity_activity_area
     *
     * @return void
     */
    public function unpublish(ActivityActivityArea $activity_activity_area)
    {
        return Notification::send($activity_activity_area->user, new ActivityActivityAreaNotifyer($activity_activity_area, 'unpublish'));;

    }
}
