<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivityArea;
use Annie\Acts\Notifications\ActivityAreaWorkflow as ActivityAreaNotifyer;
use Notification;

class ActivityAreaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function complete(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function verify(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function approve(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function publish(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function archive(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityArea $activity_area
     *
     * @return void
     */
    public function unpublish(ActivityArea $activity_area)
    {
        return Notification::send($activity_area->user, new ActivityAreaNotifyer($activity_area, 'unpublish'));;

    }
}
