<?php

namespace Annie\Act\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Annie\Act\Models\ActivityCollege;

class ActivityCollegeAction
{
    /**
     * Perform the complete action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */
    public function complete(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'complete';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */public function verify(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'verify';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */public function approve(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'approve';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */public function publish(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'publish';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */
    public function archive(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'archive';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param ActivityCollege $activity_college
     *
     * @return ActivityCollege
     */
    public function unpublish(ActivityCollege $activity_college)
    {
        try {
            $activity_college->status = 'unpublish';
            return $activity_college->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
