<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivityCollege;
use Annie\Acts\Notifications\ActivityCollegeWorkflow as ActivityCollegeNotifyer;
use Notification;

class ActivityCollegeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function complete(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function verify(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function approve(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function publish(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function archive(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityCollege $activity_college
     *
     * @return void
     */
    public function unpublish(ActivityCollege $activity_college)
    {
        return Notification::send($activity_college->user, new ActivityCollegeNotifyer($activity_college, 'unpublish'));;

    }
}
