<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivityCommunity;
use Annie\Acts\Notifications\ActivityCommunityWorkflow as ActivityCommunityNotifyer;
use Notification;

class ActivityCommunityNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function complete(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function verify(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function approve(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function publish(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function archive(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityCommunity $activity_community
     *
     * @return void
     */
    public function unpublish(ActivityCommunity $activity_community)
    {
        return Notification::send($activity_community->user, new ActivityCommunityNotifyer($activity_community, 'unpublish'));;

    }
}
