<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivityManager;
use Annie\Acts\Notifications\ActivityManagerWorkflow as ActivityManagerNotifyer;
use Notification;

class ActivityManagerNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function complete(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function verify(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function approve(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function publish(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function archive(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityManager $activity_manager
     *
     * @return void
     */
    public function unpublish(ActivityManager $activity_manager)
    {
        return Notification::send($activity_manager->user, new ActivityManagerNotifyer($activity_manager, 'unpublish'));;

    }
}
