<?php

namespace Annie\Act\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Annie\Act\Models\ActivityMetum;

class ActivityMetumAction
{
    /**
     * Perform the complete action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */
    public function complete(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'complete';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */public function verify(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'verify';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */public function approve(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'approve';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */public function publish(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'publish';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */
    public function archive(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'archive';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return ActivityMetum
     */
    public function unpublish(ActivityMetum $activity_metum)
    {
        try {
            $activity_metum->status = 'unpublish';
            return $activity_metum->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
