<?php

namespace Annie\Act\Workflow;

use Annie\Act\Models\ActivityMetum;
use Annie\Act\Notifications\ActivityMetumWorkflow as ActivityMetumNotifyer;
use Notification;

class ActivityMetumNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function complete(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function verify(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function approve(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function publish(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function archive(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityMetum $activity_metum
     *
     * @return void
     */
    public function unpublish(ActivityMetum $activity_metum)
    {
        return Notification::send($activity_metum->user, new ActivityMetumNotifyer($activity_metum, 'unpublish'));;

    }
}
