<?php

namespace Annie\Act\Workflow;

use Annie\Act\Models\ActivityProgramme;
use Annie\Act\Notifications\ActivityProgrammeWorkflow as ActivityProgrammeNotifyer;
use Notification;

class ActivityProgrammeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function complete(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function verify(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function approve(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function publish(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function archive(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityProgramme $activity_programme
     *
     * @return void
     */
    public function unpublish(ActivityProgramme $activity_programme)
    {
        return Notification::send($activity_programme->user, new ActivityProgrammeNotifyer($activity_programme, 'unpublish'));;

    }
}
