<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivityProject;
use Annie\Acts\Notifications\ActivityProjectWorkflow as ActivityProjectNotifyer;
use Notification;

class ActivityProjectNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function complete(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function verify(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function approve(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function publish(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function archive(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivityProject $activity_project
     *
     * @return void
     */
    public function unpublish(ActivityProject $activity_project)
    {
        return Notification::send($activity_project->user, new ActivityProjectNotifyer($activity_project, 'unpublish'));;

    }
}
