<?php

namespace Annie\Acts\Workflow;

use Annie\Acts\Models\ActivitySchool;
use Annie\Acts\Notifications\ActivitySchoolWorkflow as ActivitySchoolNotifyer;
use Notification;

class ActivitySchoolNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function complete(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function verify(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function approve(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function publish(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function archive(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivitySchool $activity_school
     *
     * @return void
     */
    public function unpublish(ActivitySchool $activity_school)
    {
        return Notification::send($activity_school->user, new ActivitySchoolNotifyer($activity_school, 'unpublish'));;

    }
}
