<?php

namespace Annie\Act\Workflow;

use Annie\Act\Models\ActivitySocialPartner;
use Annie\Act\Notifications\ActivitySocialPartnerWorkflow as ActivitySocialPartnerNotifyer;
use Notification;

class ActivitySocialPartnerNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function complete(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function verify(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function approve(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function publish(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function archive(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param ActivitySocialPartner $activity_social_partner
     *
     * @return void
     */
    public function unpublish(ActivitySocialPartner $activity_social_partner)
    {
        return Notification::send($activity_social_partner->user, new ActivitySocialPartnerNotifyer($activity_social_partner, 'unpublish'));;

    }
}
